[SRU] ceph 12.2.12

Bug #1829716 reported by James Page on 2019-05-20
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ubuntu Cloud Archive
Undecided
Unassigned
Pike
Medium
James Page
Queens
Medium
James Page
ceph (Ubuntu)
Undecided
Unassigned
Bionic
Medium
James Page

Bug Description

[Impact]
This release sports mostly bug-fixes but also some security fixes and we would like to make sure all of our supported customers have access to these improvements.

The update contains the following package updates:

   * ceph 12.2.12

[Test Case]
The following SRU process was followed:

https://wiki.ubuntu.com/OpenStackUpdates

In order to avoid regression of existing consumers, the OpenStack team will run their continuous integration test against the packages that are in -proposed. A successful run of all available tests will be required before the proposed packages can be let into -updates.

The OpenStack team will be in charge of attaching the output summary of the executed tests. The OpenStack team members will not mark ‘verification-done’ until this has happened.

[Regression Potential]
In order to mitigate the regression potential, the results of the
aforementioned tests are attached to this bug.

James Page (james-page) on 2019-05-20
Changed in ceph (Ubuntu):
status: New → Invalid
Changed in ceph (Ubuntu Bionic):
status: New → Triaged
importance: Undecided → Medium
Changed in cloud-archive:
status: New → Invalid
Trent Lloyd (lathiat) on 2019-06-12
tags: added: sts
James Page (james-page) on 2019-06-12
Changed in ceph (Ubuntu Bionic):
status: Triaged → In Progress
assignee: nobody → James Page (james-page)
James Page (james-page) wrote :

Uploaded to bionic for SRU team review; preparing UCA/pike upload now.

Trent Lloyd (lathiat) wrote :

The following bug (included in 12.2.12) adds back a lot of log messages to the monitor log that help with debugging cluster performance problems. Not having this is causing difficulty supporting a number of sites recently. This functionality existed in jewel, was removed (and re-added) in luminous.

Is it possible to push this along with a higher priority on that basis?
http://tracker.ceph.com/issues/37886

If this is otherwise going to be blocked for some other reason then I suggest I should prepare an SRU for that patch specifically otherwise.

James Page (james-page) wrote :

@ubuntu-sru please the upload for bionic be accepted into proposed for testing.

Hello James, or anyone else affected,

Accepted ceph into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ceph/12.2.12-0ubuntu0.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ceph (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-bionic
James Page (james-page) wrote :

Hello James, or anyone else affected,

Accepted ceph into pike-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:pike-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-pike-needed to verification-pike-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-pike-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-pike-needed
James Page (james-page) wrote :

Hello James, or anyone else affected,

Accepted ceph into queens-proposed. The package will build now and be available in the Ubuntu Cloud Archive in a few hours, and then in the -proposed repository.

Please help us by testing this new package. To enable the -proposed repository:

  sudo add-apt-repository cloud-archive:queens-proposed
  sudo apt-get update

Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-queens-needed to verification-queens-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-queens-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-queens-needed
James Page (james-page) wrote :

xenial/pike-proposed:

======
Totals
======
Ran: 94 tests in 484.6213 sec.
 - Passed: 89
 - Skipped: 5
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 0
Sum of execute time for each test: 694.2152 sec.

tags: added: verification-pike-done
removed: verification-pike-needed
James Page (james-page) wrote :

bionic-proposed:

======
Totals
======
Ran: 92 tests in 452.8701 sec.
 - Passed: 84
 - Skipped: 8
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 0
Sum of execute time for each test: 532.4742 sec.

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
James Page (james-page) wrote :

xenial/queens-proposed

======
Totals
======
Ran: 92 tests in 786.5718 sec.
 - Passed: 84
 - Skipped: 8
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 0
Sum of execute time for each test: 952.4409 sec.

==============
Worker Balance
==============
 - Worker 0 (32 tests) => 0:09:38.991459
 - Worker 1 (25 tests) => 0:11:31.411378
 - Worker 2 (35 tests) => 0:13:06.571774

tags: added: verification-queens-done
removed: verification-queens-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ceph - 12.2.12-0ubuntu0.18.04.1

---------------
ceph (12.2.12-0ubuntu0.18.04.1) bionic; urgency=medium

  * d/copyright: Exclude cruft from upstream tarballs.
  * New upstream point release (LP: #1829716).
  * d/p/s390x-link.patch: Drop, included upstream.

 -- James Page <email address hidden> Wed, 12 Jun 2019 11:05:49 +0100

Changed in ceph (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ceph has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

The verification of the Stable Release Update for ceph has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package ceph - 12.2.12-0ubuntu0.18.04.1~cloud0
---------------

 ceph (12.2.12-0ubuntu0.18.04.1~cloud0) xenial-queens; urgency=medium
 .
   * New upstream release for the Ubuntu Cloud Archive.
 .
 ceph (12.2.12-0ubuntu0.18.04.1) bionic; urgency=medium
 .
   * d/copyright: Exclude cruft from upstream tarballs.
   * New upstream point release (LP: #1829716).
   * d/p/s390x-link.patch: Drop, included upstream.

James Page (james-page) wrote :

The verification of the Stable Release Update for ceph has completed successfully and the package has now been released to -updates. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

James Page (james-page) wrote :

This bug was fixed in the package ceph - 12.2.12-0ubuntu0.17.10.1~cloud0
---------------

 ceph (12.2.12-0ubuntu0.17.10.1~cloud0) xenial; urgency=medium
 .
   * New upstream release (LP: #1829716).
   * d/p/s390x-link.patch: Drop, included upstream.
   * d/copyright: Exclude cruft from upstream tarballs.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.